### Navigation

- index
- modules |
- next |
- previous |
- pandas 0.14.1 documentation »
- API Reference »

# pandas.set_option

`pandas.``set_option`(pat, value) = <pandas.core.config.CallableDynamicDoc object at 0xb571a24c>

  Sets the value of the specified option.

  Available options:

  - display.[chop_threshold, colheader_justify, column_space, date_dayfirst, date_yearfirst, encoding, expand_frame_repr, float_format, height, large_repr, line_width, max_columns, max_colwidth, max_info_columns, max_info_rows, max_rows, max_seq_items, mpl_style, multi_sparse, notebook_repr_html, pprint_nest_depth, precision, show_dimensions, width]
  - io.excel.xls.[writer]
  - io.excel.xlsm.[writer]
  - io.excel.xlsx.[writer]
  - io.hdf.[default_format, dropna_table]
  - mode.[chained_assignment, sim_interactive, use_inf_as_null]

  Parameters : | pat : str Regexp which should match a single option. Note: partial matches are supported for convenience, but unless you use the full option name (e.g. x.y.z.option_name), your code may break in future versions if new options with similar names are introduced. value : new value of option.
  Returns : | None
  Raises : | OptionError if no such option exists

  Notes

  The available options with its descriptions:

  display.chop_threshold : float or None
    if set to a float value, all float values smaller then the given threshold will be displayed as exactly 0 by repr and friends. [default: None] [currently: None]
  display.colheader_justify : ‘left’/’right’
    Controls the justification of column headers. used by DataFrameFormatter. [default: right] [currently: right]
  display.column_space No description available.
    [default: 12] [currently: 12]
  display.date_dayfirst : boolean
    When True, prints and parses dates with the day first, eg 20/01/2005 [default: False] [currently: False]
  display.date_yearfirst : boolean
    When True, prints and parses dates with the year first, eg 2005/01/20 [default: False] [currently: False]
  display.encoding : str/unicode
    Defaults to the detected encoding of the console. Specifies the encoding to be used for strings returned by to_string, these are generally strings meant to be displayed on the console. [default: UTF-8] [currently: UTF-8]
  display.expand_frame_repr : boolean
    Whether to print out the full DataFrame repr for wide DataFrames across multiple lines, max_columns is still respected, but the output will wrap-around across multiple “pages” if it’s width exceeds display.width. [default: True] [currently: True]
  display.float_format : callable
    The callable should accept a floating point number and return a string with the desired format of the number. This is used in some places like SeriesFormatter. See core.format.EngFormatter for an example. [default: None] [currently: None]
  display.height : int
    Deprecated. [default: 60] [currently: 15] (Deprecated, use display.max_rows instead.)
  display.large_repr : ‘truncate’/’info’
    For DataFrames exceeding max_rows/max_cols, the repr (and HTML repr) can show a truncated table (the default from 0.13), or switch to the view from df.info() (the behaviour in earlier versions of pandas). [default: truncate] [currently: truncate]
  display.line_width : int
    Deprecated. [default: 80] [currently: 80] (Deprecated, use display.width instead.)
  display.max_columns : int
    max_rows and max_columns are used in __repr__() methods to decide if to_string() or info() is used to render an object to a string. In case python/IPython is running in a terminal this can be set to 0 and pandas will correctly auto-detect the width the terminal and swap to a smaller format in case all columns would not fit vertically. The IPython notebook, IPython qtconsole, or IDLE do not run in a terminal and hence it is not possible to do correct auto-detection. ‘None’ value means unlimited. [default: 20] [currently: 20]
  display.max_colwidth : int
    The maximum width in characters of a column in the repr of a pandas data structure. When the column overflows, a ”...” placeholder is embedded in the output. [default: 50] [currently: 50]
  display.max_info_columns : int
    max_info_columns is used in DataFrame.info method to decide if per column information will be printed. [default: 100] [currently: 100]
  display.max_info_rows : int or None
    df.info() will usually show null-counts for each column. For large frames this can be quite slow. max_info_rows and max_info_cols limit this null check only to frames with smaller dimensions then specified. [default: 1690785] [currently: 1690785]
  display.max_rows : int
    This sets the maximum number of rows pandas should output when printing out various output. For example, this value determines whether the repr() for a dataframe prints out fully or just a summary repr. ‘None’ value means unlimited. [default: 60] [currently: 15]
  display.max_seq_items : int or None

    when pretty-printing a long sequence, no more then max_seq_items will be printed. If items are omitted, they will be denoted by the addition of ”...” to the resulting string.

    If set to None, the number of items to be printed is unlimited. [default: 100] [currently: 100]

  display.mpl_style : bool
    Setting this to ‘default’ will modify the rcParams used by matplotlib to give plots a more pleasing visual style by default. Setting this to None/False restores the values to their initial value. [default: None] [currently: default]
  display.multi_sparse : boolean
    “sparsify” MultiIndex display (don’t display repeated elements in outer levels within groups) [default: True] [currently: True]
  display.notebook_repr_html : boolean
    When True, IPython notebook will use html representation for pandas objects (if it is available). [default: True] [currently: True]
  display.pprint_nest_depth : int
    Controls the number of nested levels to process when pretty-printing [default: 3] [currently: 3]
  display.precision : int
    Floating point output precision (number of significant digits). This is only a suggestion [default: 7] [currently: 7]
  display.show_dimensions : boolean or ‘truncate’
    Whether to print out dimensions at the end of DataFrame repr. If ‘truncate’ is specified, only print out the dimensions if the frame is truncated (e.g. not display all rows and/or columns) [default: truncate] [currently: truncate]
  display.width : int
    Width of the display in characters. In case python/IPython is running in a terminal this can be set to None and pandas will correctly auto-detect the width. Note that the IPython notebook, IPython qtconsole, or IDLE do not run in a terminal and hence it is not possible to correctly detect the width. [default: 80] [currently: 80]
  io.excel.xls.writer : string
    The default Excel writer engine for ‘xls’ files. Available options: ‘xlwt’ (the default). [default: xlwt] [currently: xlwt]
  io.excel.xlsm.writer : string
    The default Excel writer engine for ‘xlsm’ files. Available options: ‘openpyxl’ (the default). [default: openpyxl] [currently: openpyxl]
  io.excel.xlsx.writer : string
    The default Excel writer engine for ‘xlsx’ files. Available options: ‘xlsxwriter’ (the default), ‘openpyxl’. [default: xlsxwriter] [currently: xlsxwriter]
  io.hdf.default_format : format
    default format writing format, if None, then put will default to ‘fixed’ and append will default to ‘table’ [default: None] [currently: None]
  io.hdf.dropna_table : boolean
    drop ALL nan rows when appending to a table [default: True] [currently: True]
  mode.chained_assignment : string
    Raise an exception, warn, or no action if trying to use chained assignment, The default is warn [default: warn] [currently: warn]
  mode.sim_interactive : boolean
    Whether to simulate interactive mode for purposes of testing [default: False] [currently: False]
  mode.use_inf_as_null : boolean
    True means treat None, NaN, INF, -INF as null (old way), False means None and NaN are null, but INF, -INF are not null (new way). [default: False] [currently: False]

### Navigation

- index
- modules |
- next |
- previous |
- pandas 0.14.1 documentation »
- API Reference »